Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf
Class CxfConfiguration

    java.lang.Object
      org.mule.module.cxf.CxfConfiguration

All Implemented Interfaces:
  MuleContextAware, Disposable, Initialisable

    public class CxfConfiguration

extends Object
implements Initialisable, Disposable, MuleContextAware

Provides global CXF configuration defaults.

Field Summary
`static String` | `BUS_PROPERTY`
`static String` | `CONFIGURATION_LOCATION`
`static String` | `CXF`
`static String` | `DEFAULT_MULE_NAMESPACE_URI`
`protected Log` | `logger`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`CxfConfiguration()`

Method Summary
`void` | `dispose()` A lifecycle method where implementor should free up any resources.
`static CxfConfiguration` | `getConfiguration(MuleContext muleContext)`
`String` | `getConfigurationLocation()`
`org.apache.cxf.Bus` | `getCxfBus()`
`MuleContext` | `getMuleContext()`
`void` | `initialise()` Method used to perform any initialisation work.
`boolean` | `isInitializeStaticBusInstance()`
`void` | `setConfigurationLocation(String configurationLocation)`
`void` | `setCxfBus(org.apache.cxf.Bus bus)`
`void` | `setInitializeStaticBusInstance(boolean initializeStaticBusInstance)`
`void` | `setMuleContext(MuleContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CXF

    public static final String CXF

See Also:
  Constant Field Values

### CONFIGURATION_LOCATION

    public static final String CONFIGURATION_LOCATION

See Also:
  Constant Field Values

### DEFAULT_MULE_NAMESPACE_URI

    public static final String DEFAULT_MULE_NAMESPACE_URI

See Also:
  Constant Field Values

### BUS_PROPERTY

    public static final String BUS_PROPERTY

See Also:
  Constant Field Values

### logger

    protected transient Log logger

Constructor Detail

### CxfConfiguration

    public CxfConfiguration()

Method Detail

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### dispose

    public void dispose()

  Description copied from interface: `Disposable`
  A lifecycle method where implementor should free up any resources. If an exception is thrown it should just be logged and processing should continue. This method should not throw Runtime exceptions.

  Specified by:
    `dispose` in interface `Disposable`

### getCxfBus

    public org.apache.cxf.Bus getCxfBus()

### setCxfBus

    public void setCxfBus(org.apache.cxf.Bus bus)

### getConfigurationLocation

    public String getConfigurationLocation()

### setConfigurationLocation

    public void setConfigurationLocation(String configurationLocation)

### isInitializeStaticBusInstance

    public boolean isInitializeStaticBusInstance()

### setInitializeStaticBusInstance

    public void setInitializeStaticBusInstance(boolean initializeStaticBusInstance)

### setMuleContext

    public void setMuleContext(MuleContext context)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

### getMuleContext

    public MuleContext getMuleContext()

### getConfiguration

    public static CxfConfiguration getConfiguration(MuleContext muleContext)
                                             throws MuleException

  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.